> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://contentful.com/developers/docs/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://contentful.com/developers/docs/_mcp/server.

# Get all tags

GET https://api.contentful.com/spaces/{space_id}/environments/{environment_id}/tags

Returns all the tags that exist in a given environment.

Reference: https://contentful.com/developers/docs/references/content-management-api/tags/get-all-tags

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `space_id` (string, required) — ID of the space in form of a string
- `environment_id` (string, required) — ID of the environment in form of a string

## Response

### 200

OK - Request successful

- `map from string to any`

## Examples

**Response**

```json
{
  "items": [
    {
      "name": "NY Campaign",
      "sys": {
        "createdAt": "2025-03-18T01:09:03.000Z",
        "createdBy": {
          "sys": {
            "id": "7BslKh9TdKGOK41VmLDjFZ",
            "linkType": "User",
            "type": "Link"
          }
        },
        "environment": {
          "sys": {
            "id": "staging",
            "linkType": "Environment",
            "type": "Link"
          }
        },
        "id": "nyCampaign",
        "space": {
          "sys": {
            "id": "yadj1kx9rmg0",
            "linkType": "Space",
            "type": "Link"
          }
        },
        "type": "Tag",
        "updatedAt": "2025-03-18T01:09:03.000Z",
        "updatedBy": {
          "sys": {
            "id": "4FLrUHftHW3v2BLi9fzfjU",
            "linkType": "User",
            "type": "Link"
          }
        },
        "version": 1,
        "visibility": "public"
      }
    }
  ],
  "limit": 100,
  "skip": 0,
  "sys": {
    "type": "Array"
  },
  "total": 1
}
```

**SDK Code**

```android Android
// Create the Contentful client.
final CMAClient client =
    new CMAClient
        .Builder()
        .setAccessToken("<access_token>")
        .setSpaceId("<space_id>")
        .setEnvironmentId("<environment_id>")
        .build();

client
    .tags()
    .async()
    .fetchAll(
        new CMACallback<CMAArray<CMATag>>() {
          @Override protected void onSuccess(<CMAArray<CMATag>> result) {
            new AlertDialog.Builder(context)
                .setTitle("Contentful")
                .setMessage("Successfully fetched all tags." +
                    "\n\nResult: " + result)
                .show();
          }

          @Override protected void onFailure(RuntimeException exception) {
            // An error occurred! Inform the user.
            new AlertDialog.Builder(context)
                .setTitle("Contentful Error")
                .setMessage("Could not fetched all tags." +
                    "\n\nReason: " + exception.toString())
                .show();

            super.onFailure(exception);
          }
        }
    );
```

```java Java
// Create the Contentful client.
final CMAClient client =
    new CMAClient
        .Builder()
        .setAccessToken("<access_token>")
        .setSpaceId("<space_id>")
        .setEnvironmentId("<environment_id>")
        .build();

// Get all tags.
CMAArray<CMATag> result = client.tags()
.fetchAll();
```

```kotlin Kotlin
// Create the Contentful client.
val client = CMAClient.Builder()
    .setAccessToken("<access_token>")
    .setSpaceId("<space_id>")
    .setEnvironmentId("<environment_id>")
    .build()

// Get all tags.
val result = client.tags()
.fetchAll()
```

```swift Swift
We currently don't provide a CMA SDK for this platform.
```

```js-legacy JavaScript (legacy)
import { createClient } from 'contentful-management'

const client = createClient({
  accessToken: '<content_management_api_key>'
}, { type: 'legacy' })

client.getSpace('<space_id>')
.then((space) => space.getEnvironment('<environment_id>'))
.then((env) => env.getTags())
.then((tags) => console.log(tags))
.catch(console.error)
```

```javascript JavaScript
import { createClient } from 'contentful-management'

// Client init
const client = contentful.createClient({
  accessToken: '<content_management_api_key>'
})

const tags = await client.tag.getMany({
  spaceId: '<space_id>',
  environmentId: '<environment_id>',
  query: {
    limit: 10,
  },
});
```

```php PHP
SDK currently doesn't implement this endpoint.
```

```ruby Ruby
require 'contentful/management'

client = Contentful::Management::Client.new('<content_management_api_key>')

# get all tags
tags = client.tags('<space_id>', '<environment>').all
```

```python Python
from contentful_management import Client

client = Client('<content_management_api_key>')

tags = client.tags('<space_id>', '<environment_id>').all()
```

```.net .NET
No snippet for this SDK.
```